/************************************************************
 *    hj   Ver.1.00                           *
 *                                                          *
 *          <IMGKDEF.H>                   ()j[g    *
 ************************************************************/
#ifndef IMAGEKIT_DEF_INCLUDE
#define IMAGEKIT_DEF_INCLUDE

#ifdef __cplusplus
extern "C" {            /* Assume C declarations for C++ */
#endif

#ifdef __MAIN_PROGRAM__
	#define _EXTERN_
#else
	#define _EXTERN_ extern
#endif

_EXTERN_ HINSTANCE hInstIMGCOM;
_EXTERN_ HINSTANCE hInstIMGETC;
_EXTERN_ HINSTANCE hInstIMGFILE;
_EXTERN_ HINSTANCE hInstIMGDSP;
_EXTERN_ HINSTANCE hInstIMGSCAN;
_EXTERN_ HINSTANCE hInstIMGCUT;
_EXTERN_ HINSTANCE hInstIMGTIFF;

_EXTERN_ PROCIMGKITSCANSELECT			lpFuncImgKitScanSelect;
_EXTERN_ PROCIMGKITSCAN					lpFuncImgKitScan;
_EXTERN_ PROCIMGKITSCANEASY				lpFuncImgKitScanEasy;
_EXTERN_ PROCIMGKITSCANMULTI			lpFuncImgKitScanMulti;
_EXTERN_ PROCIMGKITMEMSIZE				lpFuncImgKitMemSize;
_EXTERN_ PROCIMGKITMEMFREE				lpFuncImgKitMemFree;
_EXTERN_ PROCIMGKITSYSTEMPALETTE		lpFuncImgKitSystemPalette;
_EXTERN_ PROCIMGKITROTATION				lpFuncImgKitRotation;
_EXTERN_ PROCIMGKITBIT24TO8				lpFuncImgKitBit24To8;
_EXTERN_ PROCIMGKITBIT8TO4				lpFuncImgKitBit8To4;
_EXTERN_ PROCIMGKITSETGRAY				lpFuncImgKitSetGray;
_EXTERN_ PROCIMGKITIMAGESIZE			lpFuncImgKitImageSize;
_EXTERN_ PROCIMGKITIMAGEINFO			lpFuncImgKitImageInfo;
_EXTERN_ PROCIMGKITEMBOSS				lpFuncImgKitEmboss;
_EXTERN_ PROCIMGKITCOLORREVERSE			lpFuncImgKitColorReverse;
_EXTERN_ PROCIMGKITCOLOR24AND8			lpFuncImgKitColor24And8;
_EXTERN_ PROCIMGKITMOSAIC				lpFuncImgKitMosaic;
_EXTERN_ PROCIMGKITFILTER				lpFuncImgKitFilter;
_EXTERN_ PROCIMGKITCOPY					lpFuncImgKitCopy;
_EXTERN_ PROCIMGKITFILELOAD				lpFuncImgKitFileLoad;
_EXTERN_ PROCIMGKITJPEGFILELOAD			lpFuncImgKitJpegFileLoad;
_EXTERN_ PROCIMGKITBMPFILESAVE			lpFuncImgKitBmpFileSave;
_EXTERN_ PROCIMGKITJPEGFILESAVE			lpFuncImgKitJpegFileSave;
_EXTERN_ PROCIMGKITSUPERFILESAVE		lpFuncImgKitSuperFileSave;
_EXTERN_ PROCIMGKITGIFFILESAVE			lpFuncImgKitGifFileSave;
_EXTERN_ PROCIMGKITGIFINTERFILESAVE		lpFuncImgKitGifInterFileSave;
_EXTERN_ PROCIMGKITGIFFILELOAD			lpFuncImgKitGifFileLoad;
_EXTERN_ PROCIMGKITDISPLAY				lpFuncImgKitDisplay;
_EXTERN_ PROCIMGKITDISPLAYHDC			lpFuncImgKitDisplayHdc;
_EXTERN_ PROCIMGKITPRINTSTART			lpFuncImgKitPrintStart;
_EXTERN_ PROCIMGKITPRINT				lpFuncImgKitPrint;
_EXTERN_ PROCIMGKITPRINTEND				lpFuncImgKitPrintEnd;
_EXTERN_ PROCIMGKITCUT					lpFuncImgKitCut;

_EXTERN_ PROCIMGKITTIFFFILESAVE			lpFuncImgKitTiffFileSave;
_EXTERN_ PROCIMGKITTIFFFILELOAD			lpFuncImgKitTiffFileLoad;
_EXTERN_ PROCIMGKITGIFTRFILESAVE		lpFuncImgKitGifTrFileSave;
_EXTERN_ PROCIMGKITGIFINTERTRFILESAVE	lpFuncImgKitGifInterTrFileSave;
_EXTERN_ PROCIMGKITRECTCUT				lpFuncImgKitRectCut;
_EXTERN_ PROCIMGKITGETFROMCLIPBRD		lpFuncImgKitGetFromClipBrd;
_EXTERN_ PROCIMGKITSETTOCLIPBRD			lpFuncImgKitSetToClipBrd;
_EXTERN_ PROCIMGKITBRIGHT				lpFuncImgKitBright;
_EXTERN_ PROCIMGKITRGB					lpFuncImgKitRGB;

_EXTERN_ PROCIMGKITFILETYPE				lpFuncImgKitFileType;
_EXTERN_ PROCIMGKITIMAGEADD				lpFuncImgKitImageAdd;
_EXTERN_ PROCIMGKITCONVERTCOLOR			lpFuncImgKitConvertColor;
_EXTERN_ PROCIMGKITDISPLAYRGB			lpFuncImgKitDisplayRGB;
_EXTERN_ PROCIMGKITDISPLAYHDCRGB		lpFuncImgKitDisplayHdcRGB;
_EXTERN_ PROCIMGKITDISPLAYHDCXY			lpFuncImgKitDisplayHdcXY;
_EXTERN_ PROCIMGKITDISPLAYXY			lpFuncImgKitDisplayXY;

#define ImgKitScanSelect				lpFuncImgKitScanSelect
#define ImgKitScan						lpFuncImgKitScan
#define ImgKitScanEasy					lpFuncImgKitScanEasy
#define ImgKitScanMulti					lpFuncImgKitScanMulti
#define ImgKitMemSize					lpFuncImgKitMemSize
#define ImgKitMemFree					lpFuncImgKitMemFree
#define ImgKitSystemPalette				lpFuncImgKitSystemPalette
#define ImgKitRotation					lpFuncImgKitRotation
#define ImgKitBit24To8					lpFuncImgKitBit24To8
#define ImgKitBit8To4					lpFuncImgKitBit8To4
#define ImgKitSetGray					lpFuncImgKitSetGray
#define ImgKitImageSize					lpFuncImgKitImageSize
#define ImgKitImageInfo					lpFuncImgKitImageInfo
#define ImgKitEmboss					lpFuncImgKitEmboss
#define ImgKitColorReverse				lpFuncImgKitColorReverse
#define ImgKitColor24And8				lpFuncImgKitColor24And8
#define ImgKitMosaic					lpFuncImgKitMosaic
#define ImgKitFilter					lpFuncImgKitFilter
#define ImgKitCopy						lpFuncImgKitCopy
#define ImgKitFileLoad					lpFuncImgKitFileLoad
#define ImgKitJpegFileLoad				lpFuncImgKitJpegFileLoad
#define ImgKitBmpFileSave				lpFuncImgKitBmpFileSave
#define ImgKitJpegFileSave				lpFuncImgKitJpegFileSave
#define ImgKitSuperFileSave				lpFuncImgKitSuperFileSave
#define ImgKitGifFileSave				lpFuncImgKitGifFileSave
#define ImgKitGifInterFileSave			lpFuncImgKitGifInterFileSave
#define ImgKitGifFileLoad				lpFuncImgKitGifFileLoad
#define ImgKitDisplay					lpFuncImgKitDisplay
#define ImgKitDisplayHdc				lpFuncImgKitDisplayHdc
#define ImgKitPrintStart				lpFuncImgKitPrintStart
#define ImgKitPrint						lpFuncImgKitPrint
#define ImgKitPrintEnd					lpFuncImgKitPrintEnd
#define ImgKitCut						lpFuncImgKitCut

#define ImgKitTiffFileSave				lpFuncImgKitTiffFileSave
#define ImgKitTiffFileLoad				lpFuncImgKitTiffFileLoad
#define ImgKitGifTrFileSave				lpFuncImgKitGifTrFileSave
#define ImgKitGifInterTrFileSave		lpFuncImgKitGifInterTrFileSave
#define ImgKitRectCut					lpFuncImgKitRectCut
#define ImgKitGetFromClipBrd			lpFuncImgKitGetFromClipBrd
#define ImgKitSetToClipBrd				lpFuncImgKitSetToClipBrd
#define ImgKitBright					lpFuncImgKitBright
#define ImgKitRGB						lpFuncImgKitRGB

#define ImgKitFileType					lpFuncImgKitFileType
#define ImgKitImageAdd					lpFuncImgKitImageAdd
#define ImgKitConvertColor				lpFuncImgKitConvertColor
#define ImgKitDisplayRGB				lpFuncImgKitDisplayRGB
#define ImgKitDisplayHdcRGB				lpFuncImgKitDisplayHdcRGB
#define	ImgKitDisplayHdcXY				lpFuncImgKitDisplayHdcXY
#define	ImgKitDisplayXY					lpFuncImgKitDisplayXY

#ifdef  __cplusplus
}
#endif

#endif			// IMAGEKIT_DEF_INCLUDE
