# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = ImageV.exe
OBJFILES = ImageV.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\MdiFrame.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\MdiView.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\MdiPreview.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\Wall.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\Timer.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\DeRe.obj \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\Err.obj SaveFile.obj \
   PrintRatio.obj NewImage.obj Text.obj MdiList.obj DirectoryList.obj \
   ListSize.obj Opening.obj GetID.obj Contrast.obj Bright.obj Blank.obj RGB.obj \
   Reduce.obj SaveOption.obj Triming.obj OverView.obj
RESFILES = ImageV.res
RESDEPEN = $(RESFILES) \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\MdiFrame.dfm \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\MdiView.dfm \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\MdiPreview.dfm \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\Wall.dfm \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\Timer.dfm \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\DeRe.dfm \
   \PROGRA~1\BORLAND\CBUILDER\PROJECTS\IMAGEV~1\Err.dfm SaveFile.dfm \
   PrintRatio.dfm NewImage.dfm Text.dfm MdiList.dfm DirectoryList.dfm \
   ListSize.dfm Opening.dfm GetID.dfm Contrast.dfm Bright.dfm Blank.dfm RGB.dfm \
   Reduce.dfm SaveOption.dfm Triming.dfm OverView.dfm
LIBFILES = 
DEFFILE = 
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I$(BCB)\bin;.;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U$(BCB)\bin;.;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib \
   -I$(BCB)\bin;.;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl -v -$Y -$W \
   -$O- -JPHNV -M  
RFLAGS = -i$(BCB)\bin;.;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -L$(BCB)\bin;.;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib -aa -Tpe -x \
   -v -V4.0 
IFLAGS = 
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib 
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
