//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Timer.h"
#include "MdiFrame.h"
#include "MdiList.h"
#include "MdiView.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TTimerForm *TimerForm;
//---------------------------------------------------------------------------
__fastcall TTimerForm::TTimerForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TTimerForm::FormClose(TObject *Sender, TCloseAction &Action)
{
    Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TTimerForm::FormShow(TObject *Sender)
{
    FrameForm->TimerOn = true;
    FrameForm->TimerCancel = false;

    if (FrameForm->ListSetting)
    	ListForm->PopupMenu1->AutoPopup = false;

	ProgressBar1->Min = 0;
    ProgressBar1->Max = 100;
    ProgressBar1->Position = 0;
    ProgressBar1->Step = 5;
}
//---------------------------------------------------------------------------
void __fastcall TTimerForm::Button1Click(TObject *Sender)
{
	FrameForm->TimerCancel = true;
}
//---------------------------------------------------------------------------
void __fastcall TTimerForm::FormCloseQuery(TObject *Sender, bool &CanClose)
{
	FrameForm->TimerOn = false;

    if (FrameForm->ListSetting)
    	ListForm->PopupMenu1->AutoPopup = true;
}
//---------------------------------------------------------------------------
void __fastcall TTimerForm::FormDeactivate(TObject *Sender)
{
    if (FrameForm->TimerOn)
    	SetFocus();
}
//---------------------------------------------------------------------------
