//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <vcl\graphics.hpp>
#pragma hdrstop

#include "Blank.h"
#include "MdiFrame.h"
#include "MdiView.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TBlankForm *BlankForm;
//---------------------------------------------------------------------------
__fastcall TBlankForm::TBlankForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::Button3Click(TObject *Sender)
{
	if (FrameForm->ColorDialog1->Execute()) {
    	Panel1->Color = FrameForm->ColorDialog1->Color;
    }
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::FormShow(TObject *Sender)
{
    Blup = FrameForm->RBlankUp;
    UpDown1->Position = (short)Blup;
    Panel2->Caption = IntToStr(Blup);
    Bldown = FrameForm->RBlankDown;
    UpDown2->Position = (short)Bldown;
    Panel3->Caption = IntToStr(Bldown);
    Blleft = FrameForm->RBlankLeft;
    UpDown3->Position = (short)Blleft;
    Panel4->Caption = IntToStr(Blleft);
    Blright = FrameForm->RBlankRight;
    UpDown4->Position = (short)Blright;
    Panel5->Caption = IntToStr(Blright);
    Panel1->Color = (TColor)(FrameForm->RBlankColor);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::Button1Click(TObject *Sender)
{
	ViewForm->MakeBlank();
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::UpDown1Click(TObject *Sender, TUDBtnType Button)
{
    Blup = UpDown1->Position;
	Panel2->Caption = IntToStr(Blup);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::UpDown2Click(TObject *Sender, TUDBtnType Button)
{
    Bldown = UpDown2->Position;
	Panel3->Caption = IntToStr(Bldown);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::UpDown3Click(TObject *Sender, TUDBtnType Button)
{
    Blleft = UpDown3->Position;
	Panel4->Caption = IntToStr(Blleft);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::UpDown4Click(TObject *Sender, TUDBtnType Button)
{
    Blright = UpDown4->Position;
	Panel5->Caption = IntToStr(Blright);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::Panel2MouseDown(TObject *Sender,
	TMouseButton Button, TShiftState Shift, int X, int Y)
{
    int blup;

    blup = Blup;

    if (Button == mbLeft) {
    	blup -= 10;
        if (blup < 0)
        	blup = 0;
    }
    else if (Button == mbRight) {
    	blup += 10;
        if (blup > UpDown1->Max)
        	blup = UpDown1->Max;
    }

    Blup = blup;
    UpDown1->Position = (short)Blup;
	Panel2->Caption = IntToStr(Blup);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::Panel3MouseDown(TObject *Sender,
	TMouseButton Button, TShiftState Shift, int X, int Y)
{
    int bldown;

    bldown = Bldown;

    if (Button == mbLeft) {
    	bldown -= 10;
        if (bldown < 0)
        	bldown = 0;
    }
    else if (Button == mbRight) {
    	bldown += 10;
        if (bldown > UpDown2->Max)
        	bldown = UpDown2->Max;
    }

    Bldown = bldown;
    UpDown2->Position = (short)Bldown;
	Panel3->Caption = IntToStr(Bldown);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::Panel4MouseDown(TObject *Sender,
	TMouseButton Button, TShiftState Shift, int X, int Y)
{
    int blleft;

    blleft = Blleft;

    if (Button == mbLeft) {
    	blleft -= 10;
        if (blleft < 0)
        	blleft = 0;
    }
    else if (Button == mbRight) {
    	blleft += 10;
        if (blleft > UpDown3->Max)
        	blleft = UpDown3->Max;
    }

    Blleft = blleft;
    UpDown3->Position = (short)Blleft;
	Panel4->Caption = IntToStr(Blleft);
}
//---------------------------------------------------------------------------
void __fastcall TBlankForm::Panel5MouseDown(TObject *Sender,
	TMouseButton Button, TShiftState Shift, int X, int Y)
{
    int blright;

    blright = Blright;

    if (Button == mbLeft) {
    	blright -= 10;
        if (blright < 0)
        	blright = 0;
    }
    else if (Button == mbRight) {
    	blright += 10;
        if (blright > UpDown4->Max)
        	blright = UpDown4->Max;
    }

    Blright = blright;
    UpDown4->Position = (short)Blright;
	Panel5->Caption = IntToStr(Blright);
}
//---------------------------------------------------------------------------
