//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Contrast.h"
#include "MdiFrame.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TContrastForm *ContrastForm;
//---------------------------------------------------------------------------
__fastcall TContrastForm::TContrastForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TContrastForm::TrackBar1Change(TObject *Sender)
{
    int pos1, pos2;

    if (Tag != 0)
    	return;

    pos1 = TrackBar1->Position;
    pos2 = TrackBar2->Position;

	Panel1->Caption = IntToStr(pos1);

    if ((pos1 * pos2) < 0) {
    	Tag = 1;
        TrackBar2->Position = pos1;
        Panel2->Caption = IntToStr(pos1);
        Tag = 0;
    }
}
//---------------------------------------------------------------------------
void __fastcall TContrastForm::TrackBar2Change(TObject *Sender)
{
    int pos1, pos2;

    if (Tag != 0)
    	return;

    pos2 = TrackBar2->Position;
    pos1 = TrackBar1->Position;

	Panel2->Caption = IntToStr(pos2);

    if ((pos2 * pos1) < 0) {
    	Tag = 1;
        TrackBar1->Position = pos2;
        Panel1->Caption = IntToStr(pos2);
        Tag = 0;
    }
}
//---------------------------------------------------------------------------
void __fastcall TContrastForm::FormShow(TObject *Sender)
{
	Tag = 1;
	TrackBar1->Position = FrameForm->RContrastMax;
    Panel1->Caption = IntToStr(FrameForm->RContrastMax);
    TrackBar2->Position = FrameForm->RContrastMin;
    Panel2->Caption = IntToStr(FrameForm->RContrastMin);
    Tag = 0;
}
//---------------------------------------------------------------------------
void __fastcall TContrastForm::FormCloseQuery(TObject *Sender, bool &CanClose)
{
    if (ModalResult == mrOk) {
		FrameForm->RContrastMax = TrackBar1->Position;
    	FrameForm->RContrastMin = TrackBar2->Position;
    }
}
//---------------------------------------------------------------------------